# Created by and for Qt Creator. This file was created for editing the project sources only.
# You may attempt to use it for building too, by modifying this file here.

#TARGET = BiometricPowerGraph

HEADERS = \
   $$PWD/externals/docopt/docopt.h \
   $$PWD/externals/docopt/docopt_private.h \
   $$PWD/externals/docopt/docopt_util.h \
   $$PWD/externals/docopt/docopt_value.h \
   $$PWD/externals/csv.h \
   $$PWD/lib/include/bpg/BiometricDatabaseModel.h \
   $$PWD/lib/include/bpg/common.h \
   $$PWD/lib/include/bpg/GlHalfCircle.h \
   $$PWD/lib/include/bpg/lineIntersection.h \
   $$PWD/lib/include/bpg/multilevelEdgeBundling.h \
   $$PWD/lib/include/bpg/powergraphmanager.h \
   $$PWD/lib/include/bpg/utils.h \
   $$PWD/plugins/interactor/BiometricNeighborhoodHighlighter/BiometricNeighborhoodHighlighterConfigWidget.h \
   $$PWD/plugins/interactor/BiometricNeighborhoodHighlighter/BiometricNeighborhoodHighlighterInteractor.h \
   $$PWD/plugins/interactor/BiometricNeighborhoodHighlighter/BiometricNodeNeighborhoodView.h \
   $$PWD/plugins/interactor/BiometricNeighborhoodHighlighter/PluginNames.h \
   $$PWD/plugins/interactor/BiometricNeighborhoodHighlighter/StandardInteractorPriority.h \
   $$PWD/ui/include/bpg/interactors/PowerGraphInteractor.h \
   $$PWD/ui/include/bpg/interactors/ROCInteractor.h \
   $$PWD/ui/include/bpg/ActionButton.h \
   $$PWD/ui/include/bpg/BiometricDatabaseForm.h \
   $$PWD/ui/include/bpg/biometricpowergraphwindow.h \
   $$PWD/ui/include/bpg/ClusterColorLegend.h \
   $$PWD/ui/include/bpg/datasetinformation.h \
   $$PWD/ui/include/bpg/graphparameters.h \
   $$PWD/ui/include/bpg/ImportDialog.h \
   $$PWD/ui/include/bpg/PowerGraphForm.h \
   $$PWD/ui/include/bpg/ROCForm.h \
    ui/ui/GenuineScoreEvolution.h \
    ui/include/SamplesWidget.h \
    ui/include/bpg/GenuineScoreEvolution.h \
    ui/include/bpg/ImpostorScoreEvolution.h \
    ui/include/bpg/ROCWindow.h \
    ui/include/bpg/ZooPlotWindow.h \
    ui/include/bpg/ThresholdToErrorsWindow.h \
    ui/include/bpg/ScoreDistributionWindow.h

SOURCES = \
   $$PWD/app/biometricPowerGraph.cpp \
   $$PWD/app/powerGraphViewer.cpp \
   $$PWD/externals/docopt/docopt.cpp \
   $$PWD/lib/src/BiometricDatabaseModel.cpp \
   $$PWD/lib/src/GlHalfCircle.cpp \
   $$PWD/lib/src/powergraphmanager.cpp \
   $$PWD/plugins/general/ComputeBiometricProperties.cpp \
   $$PWD/plugins/general/DrawBiometricPowerGraph.cpp \
   $$PWD/plugins/glyph/BiometricPowerNode.cpp \
   $$PWD/plugins/glyph/halfCircle.cpp \
   $$PWD/plugins/import/ImportPowerGraph.cpp \
   $$PWD/plugins/interactor/BiometricNeighborhoodHighlighter/BiometricNeighborhoodHighlighterConfigWidget.cpp \
   $$PWD/plugins/interactor/BiometricNeighborhoodHighlighter/BiometricNeighborhoodHighlighterInteractor.cpp \
   $$PWD/plugins/interactor/BiometricNeighborhoodHighlighter/BiometricNodeNeighborhoodView.cpp \
   $$PWD/ui/src/interactors/PowerGraphInteractor.cpp \
   $$PWD/ui/src/interactors/ROCInteractor.cpp \
   $$PWD/ui/src/ActionButton.cpp \
   $$PWD/ui/src/BiometricDatabaseForm.cpp \
   $$PWD/ui/src/biometricpowergraphwindow.cpp \
   $$PWD/ui/src/ClusterColorLegend.cpp \
   $$PWD/ui/src/datasetinformation.cpp \
   $$PWD/ui/src/graphparameters.cpp \
   $$PWD/ui/src/ImportDialog.cpp \
   $$PWD/ui/src/PowerGraphForm.cpp \
   $$PWD/ui/src/ROCForm.cpp \
   $$PWD/ui/ui/BiometricDatabaseForm.ui \
   $$PWD/ui/ui/biometricpowergraphwindow.ui \
   $$PWD/ui/ui/ClusterColorLegend.ui \
   $$PWD/ui/ui/datasetinformation.ui \
   $$PWD/ui/ui/graphparameters.ui \
   $$PWD/ui/ui/ImportDialog.ui \
   $$PWD/ui/ui/PowerGraphForm.ui \
   $$PWD/ui/ui/ROCForm.ui \
    ui/ui/GenuineScoreEvolution.cpp \
    ui/src/GenuineScoreEvolution.cpp \
    ui/src/ROCWindow.cpp \
    ui/src/ImpostorScoreEvolution.cpp \
    ui/src/ZooPlotWindow.cpp \
    ui/src/ThresholdToErrorsWindow.cpp \
    ui/src/ScoreDistributionWindow.cpp

INCLUDEPATH = \
    $$PWD/externals \
    $$PWD/externals/docopt \
    $$PWD/lib/include/bpg \
    $$PWD/plugins/interactor/BiometricNeighborhoodHighlighter \
    $$PWD/ui/include/bpg \
    $$PWD/ui/include/bpg/interactors

#DEFINES = 

FORMS += \
    ui/ui/GenuineScoreEvolution.ui \
    ui/ui/ImpostorScoreEvolution.ui \
    ui/ui/ROCWindow.ui \
    ui/ui/SampleColorLegend.ui \
    ui/ui/ZooGraphWindow.ui \
    ui/ui/ZooPlotWindow.ui \
    ui/ui/SamplesWidget.ui \
    ui/ui/ThresholdToErrorsWindow.ui \
    ui/ui/ScoreDistributionWindow.ui

DISTFILES += \
    ui/BiometricPowerGraphVisualisation.qhc

RESOURCES += \
    ui/resource.qrc

